%define name ccscript2
%define version 2.4.4
%define release 1mdk

%define major 0_4
%define libname lib%{name}_%{major}


Summary:	A Common C++ class framework for embedded scripting
Name:		%name
Version:	%version
Release:	%release
Group:		Development/C

Source:		ccscript-%PACKAGE_VERSION.tar.bz2
Url:		http://www.gnu.org/software/ccscript/

License:	GPL
BuildRoot:	%_tmppath/%name-buildroot
Requires:	libCommonC++2_0
Buildrequires:	libCommonC++2_0-devel
Obsoletes:	CommonC++Extra
Provides:	CommonC++Extra
ExcludeArch:	ppc

%description
The OST ccscript package offers a class extensible threaded embedded scripting
engine for use with the Common C++ GNU package.

This engine is also used in Bayonne (the GNU telephony server package), and in
TOSI (FreeBSD and GNU/Linux PBX integration servers). This engine differs from
traditional scripting systems in that it is used to script near real-time
state-event systems through deterministic callback step execution rather than
the linear and non-deterministic fashion of embedded script systems such as 
tcl, libguile, etc.

%package -n %libname

Summary:        A Common C++ class framework for embedded scripting
Group:          Development/C
License:        GPL
Obsoletes:	ccscript <= 2.0.0
Provides: 	ccscript

%description -n %libname
The OST ccscript package offers a class extensible threaded embedded scripting
engine for use with the Common C++ GNU package.

This engine is also used in Bayonne (the GNU telephony server package), and in
TOSI (FreeBSD and GNU/Linux PBX integration servers). This engine differs from
traditional scripting systems in that it is used to script near real-time
state-event systems through deterministic callback step execution rather than
the linear and non-deterministic fashion of embedded script systems such as 
tcl, libguile, etc.


%package -n %libname-devel

Summary:        A Common C++ class framework for embedded scripting
Group:          Development/C
License:        GPL
Provides:	libccscript-devel
Requires:	%libname = %version
Obsoletes:	ccscript-devel libccscript-devel
Provides:	ccscript-devel libccscript2-devel

%description -n %libname-devel
The OST ccscript package offers a class extensible threaded embedded scripting
engine for use with the Common C++ GNU package.

This engine is also used in Bayonne (the GNU telephony server package), and in
TOSI (FreeBSD and GNU/Linux PBX integration servers). This engine differs from
traditional scripting systems in that it is used to script near real-time
state-event systems through deterministic callback step execution rather than
the linear and non-deterministic fashion of embedded script systems such as 
tcl, libguile, etc.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n ccscript-%{version}

%build

%configure

# Dadou - 1.3.0-2mdk - Don't use make macro. Build fails
make

%install

%makeinstall

mkdir -p $RPM_BUILD_ROOT/%_mandir/man3
cp doc/man3/* $RPM_BUILD_ROOT/%_mandir/man3/

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO ChangeLog 
%_bindir/*
%_mandir/man3/*

%files -n %libname
%defattr(-,root,root,-)
%doc COPYING
%_libdir/*.so.*
%_libdir/%{name}

%files -n %libname-devel
%defattr(-,root,root,-)
%doc COPYING
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_includedir/cc++2/*

%clean
rm -fr %buildroot

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%changelog
* Wed Feb 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4.4-1mdk
- 2.4.4

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.2.1-3mdk
- rebuild

* Thu Oct 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.1-2mdk
- rebuild with new CommonC++

* Tue Aug 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.1-1mdk
- 2.2.1

* Mon Jul 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.2-1mdk
- 2.1.2

* Tue Jun 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-1mdk
- 2.1.0

* Mon Jun 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-2mdk
- rebuild against new libstdc++

* Thu Apr 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-0.1mdk
- 2.0.2

* Tue Feb 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8.4-2mdk
- rebuild

* Mon Jan 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8.4-1mdk
- 1.8.4

* Thu Nov 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.8.1-1mdk
- 1.8.1

* Fri Nov 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.8.0-2mdk
- fix requires

* Mon Nov 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.8.0-1mdk
- 1.8.0

* Wed Oct 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7.0-1mdk
- 1.7.0

* Fri Sep 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6.2-2mdk
- rebuild against new libCommonC++

* Thu Aug 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6.2-1mdk
- 1.6.2

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6.1-1mdk
- updated to 1.6.1

* Tue Jun 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-1mdk
- updated to 1.6.0

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 1.3.0-2mdk
- ExcludeArch: ppc

* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.0-1mdk
- updated to 1.3.0

* Wed Dec 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-1mdk
- updated to 1.2.6

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-1mdk
- updated to 1.2.4

* Fri Aug 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- update to v1.2.0

* Wed Aug 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-3mdk
- clean spec

* Wed Aug 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-2mdk
- built with new CommonC++ 
- macros

* Thu Jul 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- v1.1.1 from David Sugar <dyfet@ostel.com> 

* Wed Jun 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-1mdk  
- v1.1.0  

* Wed Jun 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk  
- v1.0.2  

* Wed May 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk  
- v1.0.1  

* Mon Mar 20 2000 Lenny Cartier <lenny@mandrakesoft.com>  
- mandrake build - used srpm provided by David Sugar <dyfet@ostel.com>  
